From e6caf0202a5618e9f5a174c2ee4465ed2b44ea9e Mon Sep 17 00:00:00 2001
From: Dave Stevenson <dave.stevenson@raspberrypi.com>
Date: Fri, 11 Mar 2022 15:32:00 +0000
Subject: [PATCH] dtoverlays: Add VCM option to imx219

Signed-off-by: Dave Stevenson <dave.stevenson@raspberrypi.com>
---
 arch/arm/boot/dts/overlays/README             |  1 +
 arch/arm/boot/dts/overlays/imx219-overlay.dts | 12 +++++++++++-
 2 files changed, 12 insertions(+), 1 deletion(-)

--- a/arch/arm/boot/dts/overlays/README
+++ b/arch/arm/boot/dts/overlays/README
@@ -1869,6 +1869,7 @@ Params: rotation                Mounting
                                 configuring the sensor (default on)
         cam0                    Adopt the default configuration for CAM0 on a
                                 Compute Module (CSI0, i2c_vc, and cam0_reg).
+        vcm                     Configure a VCM focus drive on the sensor.
 
 
 Name:   imx290
--- a/arch/arm/boot/dts/overlays/imx219-overlay.dts
+++ b/arch/arm/boot/dts/overlays/imx219-overlay.dts
@@ -63,6 +63,13 @@
 					};
 				};
 			};
+
+			vcm: ad5398@0c {
+				compatible = "adi,ad5398";
+				reg = <0x0c>;
+				status = "disabled";
+				VANA-supply = <&cam1_reg>;
+			};
 		};
 	};
 
@@ -91,6 +98,9 @@
 		       <&csi_frag>, "target:0=",<&csi0>,
 		       <&clk_frag>, "target:0=",<&cam0_clk>,
 		       <&imx219>, "clocks:0=",<&cam0_clk>,
-		       <&imx219>, "VANA-supply:0=",<&cam0_reg>;
+		       <&imx219>, "VANA-supply:0=",<&cam0_reg>,
+		       <&vcm>, "VANA-supply:0=", <&cam0_reg>;
+		vcm = <&vcm>, "status=okay",
+		      <&imx219>,"lens-focus:0=", <&vcm>;
 	};
 };
